Subject: [ippm] Review Questions for draft-ietf-ippm-route-04

From: "Foote, Footer (Nokia - CA)" <[email-masked]>
Date: Wed, 24 Jul 2019 15:06:23 +0000

Between meetings, I read the draft draft-ietf-ippm-route-04, re-read the draft and read it once more.  I see value in the solidification of terminology, previous thread on the mailing list include many comments on this.   My initial thoughts on the draft, are interest in the work for link awareness for participating nodes, along the path and ability to relate metrics for the well identified path and members.  This will help correlate measurements to specific paths, at least those which are participating.     

A couple of quick questions; 

1)  Section 3.6 Reporting Metric " The models need to be expanded to include these features, as well as Arrival Interface ID, Departure Interface ID, and Arrival Timestamp, when available."   
-   Should this specify some type of identification for how to interpret that timestamp format (NTP or PTP) . 
 -  Should departure Timestamp be included as well, would this address the concern about the Section 2 scope comment " unknown contribution of
processing time at the host that generates the ICMP response."

2) Section 4.1 makes reference to the experimental RFC7280 " UDP Checksum Complement in  the One-Way Active Measurement Protocol (OWAMP) and Two-Way Active Measurement Protocol (TWAMP)" is the a common accepted practice for addressing UDP checksum considerations.  I do not know the history why RFC7280 was Categorized as Experimental.

Footer